seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2018/12/14, 15:53:31


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: (solved) Caution -- sane-related removals (again)  (Read 1798 times)

0 Members and 1 Guest are viewing this topic.

Offline Penyelam

  • User
  • Posts: 127
Re: Caution -- sane-related removals (again)
« Reply #15 on: 2018/11/10, 20:01:02 »
außer Sane will dist-upgrade bei mir auch kde-full und kdegraphics entfernen.
Code: [Select]
root@sidThinkpad:~# apt dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libbind9-160 libdns1102 libieee1284-3 libirs160 libisc169 libisccc160 libisccfg160 libkf5sane-data liblwres160 libpoppler74 librarian0 libsane-common libtidy5.6 libtirpc1 rarian-compat
Verwenden Sie »apt autoremove«, um sie zu entfernen.
Die folgenden Pakete werden ENTFERNT:
  kde-full kdegraphics kolourpaint libkf5sane5 libsane1 sane-utils
Die folgenden NEUEN Pakete werden installiert:
  libixml10 libperl5.28 libteckit0 libtidy5deb1 libupnp13 libvidstab1.1 libvulkan-dev linux-headers-4.19.1-towo.1-siduction-amd64 linux-image-4.19.1-towo.1-siduction-amd64 openjdk-11-jdk openjdk-11-jdk-headless
  openjdk-11-jre openjdk-11-jre-headless perl-modules-5.28
Die folgenden Pakete werden aktualisiert (Upgrade):
  alsa-utils apparmor apt-listbugs apt-show-versions baloo-kf5 bash-completion breeze-icon-theme bsdutils console-setup console-setup-linux cpp cpp-7 cpp-8 cryptsetup cryptsetup-bin cryptsetup-initramfs cryptsetup-run
  curl debian-archive-keyring default-jdk default-jdk-headless default-jre default-jre-headless dialog distro-info-data exfat-fuse exfat-utils extra-cmake-modules fdisk feh ffmpeg firebird3.0-common
  firebird3.0-common-doc firebird3.0-server-core firebird3.0-utils firefox firefox-l10n-de firefox-l10n-en-gb firefox-l10n-it firefox-l10n-pl firefox-l10n-pt-br firefox-l10n-ro fontconfig fontconfig-config
  fonts-liberation fonts-liberation2 fonts-opensymbol foomatic-db frameworkintegration freerdp2-x11 g++ g++-8 galternatives gcc gcc-7 gcc-7-base gcc-8 gcc-8-base geoip-database ghostscript ghostscript-x gimp gimp-data
  google-chrome-stable graphviz grub-common grub-efi-amd64-bin grub-efi-ia32-bin grub-pc grub-pc-bin grub2-common hexchat hexchat-perl hexchat-plugins hexchat-python3 hpijs-ppds hunspell-en-gb hunspell-it hunspell-pl
  hunspell-pt-br hunspell-ro icoutils imagemagick imagemagick-6-common imagemagick-6.q16 inkscape install-info irqbalance irssi iw java-common kactivities-bin kded5 kdoctools5 keyboard-configuration kimageformat-plugins
  kinit kio konq-plugins konqueror kpackagelauncherqml kpackagetool5 kross ktexteditor-data ktexteditor-katepart kwayland-data libacme-damn-perl libalgorithm-diff-xs-perl libapparmor1 libapt-pkg-perl libasan4 libasan5
  libasound2 libasound2-data libasound2-plugins libastro1 libatomic1 libavcodec58 libavdevice58 libavfilter7 libavformat58 libavresample4 libavutil56 libblkid1 libblockdev-crypto2 libblockdev-fs2 libblockdev-loop2
  libblockdev-part-err2 libblockdev-part2 libblockdev-swap2 libblockdev-utils2 libblockdev2 libbrlapi0.6 libbrotli1 libc-bin libc-dev-bin libc-l10n libc6 libc6-dbg libc6-dev libcairo-perl libcc1-0 libcdt5 libcgraph6
  libcilkrts5 libcodec2-0.8.1 libcommon-sense-perl libcommons-collections3-java libconfig-inifiles-perl libcpanel-json-xs-perl libcpupower1 libcryptsetup12 libcurl3-gnutls libcurl4 libdjvulibre-text libdjvulibre21
  libev-perl libfbclient2 libfcgi-perl libfdisk1 libfile-fcntllock-perl libfontconfig1 libforks-perl libfreerdp-client2-2 libfreerdp2-2 libgcc-7-dev libgcc-8-dev libgcc1 libgcrypt20 libgd3 libgegl-0.4-0 libgegl-common
  libgfortran5 libgimp2.0 libglib-perl libglibmm-2.4-1v5 libgomp1 libgphoto2-6 libgphoto2-l10n libgphoto2-port12 libgs9 libgs9-common libgtk2-perl libgvc6 libgvpr2 libhpmud0 libhsqldb1.8.0-java libhtml-parser-perl
  libib-util libimage-magick-perl libimage-magick-q16-perl libintl-xs-perl libio-pty-perl libitm1 libjavascriptcoregtk-4.0-18 libjdom1-java libkf5activities5 libkf5activitiesstats1 libkf5archive5 libkf5attica5
  libkf5auth-data libkf5auth5 libkf5baloo5 libkf5balooengine5 libkf5bluezqt-data libkf5bluezqt6 libkf5bookmarks-data libkf5bookmarks5 libkf5calendarevents5 libkf5codecs-data libkf5codecs5 libkf5completion-data
  libkf5completion5 libkf5config-bin libkf5config-data libkf5config-dev libkf5config-dev-bin libkf5config-doc libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5 libkf5coreaddons-data
  libkf5coreaddons-dev libkf5coreaddons-dev-bin libkf5coreaddons-doc libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-bin libkf5dbusaddons-data libkf5dbusaddons-dev libkf5dbusaddons-doc libkf5dbusaddons5
  libkf5declarative-data libkf5declarative5 libkf5dnssd-data libkf5dnssd5 libkf5doctools5 libkf5emoticons-bin libkf5emoticons-data libkf5emoticons5 libkf5filemetadata-bin libkf5filemetadata-data libkf5filemetadata3
  libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5 libkf5guiaddons5 libkf5holidays-data libkf5holidays5 libkf5i18n-data libkf5i18n-dev libkf5i18n-doc libkf5i18n5
  libkf5iconthemes-bin libkf5iconthemes-data libkf5iconthemes5 libkf5idletime5 libkf5itemmodels5 libkf5itemviews-data libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5js5 libkf5jsapi5 libkf5jsembed-data
  libkf5jsembed5 libkf5kcmutils-data libkf5kcmutils5 libkf5kdelibs4support-data libkf5kdelibs4support5 libkf5kdelibs4support5-bin libkf5khtml-bin libkf5khtml-data libkf5khtml5 libkf5kiocore5 libkf5kiofilewidgets5
  libkf5kiogui5 libkf5kiontlm5 libkf5kiowidgets5 libkf5kirigami2-5 libkf5konq6 libkf5krosscore5 libkf5krossui5 libkf5modemmanagerqt6 libkf5networkmanagerqt6 libkf5newstuff-data libkf5newstuff5 libkf5newstuffcore5
  libkf5notifications-data libkf5notifications5 libkf5notifyconfig-data libkf5notifyconfig5 libkf5package-data libkf5package-dev libkf5package-doc libkf5package5 libkf5parts-data libkf5parts-plugins libkf5parts5
  libkf5people-data libkf5people5 libkf5peoplebackend5 libkf5peoplewidgets5 libkf5plasma-dev libkf5plasma-doc libkf5plasma5 libkf5plasmaquick5 libkf5plotting5 libkf5prison5 libkf5pty-data libkf5pty5 libkf5purpose-bin
  libkf5purpose5 libkf5quickaddons5 libkf5runner5 libkf5service-bin libkf5service-data libkf5service-dev libkf5service-doc libkf5service5 libkf5solid5 libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5
  libkf5sonnetui5 libkf5style5 libkf5su-bin libkf5su-data libkf5su5 libkf5syntaxhighlighting-data libkf5syntaxhighlighting5 libkf5texteditor-bin libkf5texteditor5 libkf5textwidgets-data libkf5textwidgets5
  libkf5threadweaver5 libkf5unitconversion-data libkf5unitconversion5 libkf5wallet-bin libkf5wallet-data libkf5wallet5 libkf5waylandclient5 libkf5waylandserver5 libkf5widgetsaddons-data libkf5widgetsaddons5
  libkf5windowsystem-data libkf5windowsystem-dev libkf5windowsystem-doc libkf5windowsystem5 libkf5xmlgui-bin libkf5xmlgui-data libkf5xmlgui5 libkf5xmlrpcclient-data libkf5xmlrpcclient5 libkpathsea6 libkwalletbackend5-5
  liblab-gamut1 libldap-2.4-2 libldb1 liblirc-client0 liblist-moreutils-perl liblocale-gettext-perl liblouisutdml-bin liblouisutdml-data liblouisutdml8 liblsan0 libmagick++-6.q16-8 libmagickcore-6.q16-6
  libmagickcore-6.q16-6-extra libmagickwand-6.q16-6 libmarblewidget-qt5-28 libmariadbclient18 libmount1 libmpx2 libmspack0 libmusicbrainz-discid-perl libnet-dbus-perl libnet-ssleay-perl libnm0 libnss-myhostname
  libnss-mymachines libnss-systemd libobjc4 libopenbabel5 libotr5 libpam-systemd libpango-perl libparse-debianchangelog-perl libpathplan4 libpcre2-16-0 libpcre2-8-0 libpipeline1 libpolkit-qt-1-1 libpolkit-qt5-1-1
  libpostproc55 libpq5 libproc-processtable-perl libptexenc1 libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5designer5 libqt5gui5 libqt5help5 libqt5network5 libqt5opengl5 libqt5opengl5-dev libqt5printsupport5
  libqt5sql5 libqt5sql5-mysql libqt5sql5-sqlite libqt5test5 libqt5widgets5 libqt5xml5 libquadmath0 libraw19 libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core
  libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-gtk3 libreoffice-help-common libreoffice-help-de libreoffice-impress libreoffice-java-common
  libreoffice-l10n-de libreoffice-l10n-es libreoffice-librelogo libreoffice-math libreoffice-nlpsolver libreoffice-ogltrans libreoffice-report-builder libreoffice-report-builder-bin libreoffice-script-provider-bsh
  libreoffice-script-provider-js libreoffice-script-provider-python libreoffice-sdbc-firebird libreoffice-sdbc-hsqldb libreoffice-sdbc-postgresql libreoffice-style-breeze libreoffice-style-colibre
  libreoffice-style-tango libreoffice-wiki-publisher libreoffice-writer librsvg2-2 librsvg2-common libsane-common libsdl-image1.2 libsdl2-image-2.0-0 libserf-1-1 libsigc++-2.0-0v5 libsmartcols1 libsmbclient libsndio7.0
  libsnmp30 libspeechd2 libsqlite3-0 libssl1.1 libstdc++-8-dev libstdc++6 libsub-name-perl libsvn1 libswingx-java libswresample3 libswscale5 libsynctex2 libsys-cpu-perl libsystemd0 libtalloc2 libtdb1
  libterm-readkey-perl libtexlua52 libtexlua53 libtexluajit2 libtext-iconv-perl libtiff5 libtsan0 libubsan0 libubsan1 libudev1 libuuid1 libv4l-0 libv4lconvert0 libvisual-0.4-0 libvlc-bin libvlc5 libvlccore9
  libvte-2.91-0 libvte-2.91-common libwbclient0 libwebkit2gtk-4.0-37 libwinpr2-2 libwmf-bin libwmf0.2-7 libxapian30 libxcursor1 libxdot4 libxml-libxml-perl libxml-parser-perl libzbar0 linux-cpupower
  linux-headers-siduction-amd64 linux-image-siduction-amd64 linux-libc-dev locales man-db marble marble-data marble-plugins marble-qt-data mariadb-client-core-10.1 mariadb-common mariadb-server-core-10.1 mediathekview
  mount ndiff network-manager nmap nmap-common openprinting-ppds openssl oxygen-icon-theme pcmciautils perl perl-base perl-doc plasma-framework ppp printer-driver-escpr printer-driver-hpcups printer-driver-hpijs
  printer-driver-min12xxw printer-driver-sag-gdi publicsuffix python-ldb python-pkg-resources python-samba python-talloc python-tdb python-yaml python3-brlapi python3-pkg-resources python3-pyatspi python3-pyxattr
  python3-speechd python3-tz python3-uno python3-xapian python3-yaml qdbus-qt5 qml-module-org-kde-activities qml-module-org-kde-bluezqt qml-module-org-kde-draganddrop qml-module-org-kde-kcm qml-module-org-kde-kconfig
  qml-module-org-kde-kcoreaddons qml-module-org-kde-kholidays qml-module-org-kde-kio qml-module-org-kde-kirigami2 qml-module-org-kde-kquickcontrols qml-module-org-kde-kquickcontrolsaddons
  qml-module-org-kde-kwindowsystem qml-module-org-kde-newstuff qml-module-org-kde-purpose qml-module-org-kde-qqc2desktopstyle qml-module-org-kde-runnermodel qml-module-org-kde-solid qt5-default qt5-gtk-platformtheme
  qt5-qmake qt5-qmake-bin qtbase5-dev qtbase5-dev-tools rfkill samba-common samba-common-bin samba-libs sonnet-plugins speech-dispatcher speech-dispatcher-audio-plugins speech-dispatcher-espeak-ng sqlite3 subversion
  synaptic systemd systemd-container systemd-coredump systemd-sysv texlive-base texlive-binaries texlive-latex-base tzdata udev unattended-upgrades uno-libs3 ure util-linux vim-nox vlc vlc-bin vlc-plugin-base
  vlc-plugin-notify vlc-plugin-qt vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-output vlc-plugin-video-splitter vlc-plugin-visualization weechat-core weechat-curses weechat-perl weechat-plugins weechat-python
  weechat-ruby xbrlapi xxd
623 aktualisiert, 14 neu installiert, 6 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 0 B von 982 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 715 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] n
Abbruch.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
Re: Caution -- sane-related removals (again)
« Reply #16 on: 2018/11/10, 20:46:21 »
Code: [Select]
apt purge libsane-common
Code: [Select]
apt update; apt full-upgrade

Code: [Select]
apt update; apt install colord kolourpaint kolourpaint4 libkf5sane5 libsane-common sane sane-utils xsane

Do people even search/read forums anymore :)

Suchen/lesen die Leute sogar noch mehr Foren? :)

https://forum.siduction.org/index.php?topic=7439.msg60424#msg60424
« Last Edit: 2018/11/10, 20:53:33 by piper »
debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...

Offline Penyelam

  • User
  • Posts: 127
Re: Caution -- sane-related removals (again)
« Reply #17 on: 2018/11/10, 21:43:31 »
Thanks Piper,

it worked.
I read the mentioned post before, just was afraid to remove the full kde (kde-full).

Offline vilde

  • User
  • Posts: 631
Re: Caution -- sane-related removals (again)
« Reply #18 on: 2018/11/10, 22:37:37 »
As I as usual don't know what this is about, maybe it's a kde problem only or?
Anyway, on two xfce computers I have now had some problems with apt wanting to remove a few packages probably related to sane. I did like this.

First I  just install libsane, that worked like libsane1 was removed libsane was installed and after that I could do a full d-u without any removals.
If this is not relevant to this topic the please moderator remove all of it.
XFCE-64 bit

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.531
    • g-com.eu
Re: Caution -- sane-related removals (again)
« Reply #19 on: 2018/11/10, 23:15:41 »
Unfortunately it isn't solved completely - so these questions and answers are valid - and can change from day to day untli this mess is fully fixed. I hope this will be soon.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline tommy2

  • User
  • Posts: 91
Re: Caution -- sane-related removals (again)
« Reply #20 on: 2018/11/11, 09:46:00 »
Very true it might take a little time to fix it completely, however the work a rounds discussed here have proven very helpful in keeping my scanner working. Therefore a special thanks to all for providing the insight.  :)

Offline drb

  • User
  • Posts: 130
Re: Caution -- sane-related removals (again)
« Reply #21 on: 2018/11/12, 11:39:01 »
I haven't tried any workarounds, but after a few weeks of 14 to remove, everything came right about a month ago . . . until the new version of libsane-common appeared last week. I'll wait it out again.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
Re: Caution -- sane-related removals (again)
« Reply #22 on: 2018/11/12, 13:31:26 »
drb, you should really get rid of libsane1 before more problems start

Code: [Select]
apt purge libsane-common
Code: [Select]
apt install colord kolourpaint kolourpaint4 libkf5sane5 libsane-common sane sane-utils xsane

Code: [Select]
apt update; apt full-upgrade
debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...

Offline drb

  • User
  • Posts: 130
Re: Caution -- sane-related removals (again)
« Reply #23 on: 2018/11/12, 13:47:35 »
@piper - I'll probably have to take the plunge. I've previously struggled to get my Epson 4490 scanner working, so hopefully iscan and the iscan plugin reinstall without issues.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
Re: Caution -- sane-related removals (again)
« Reply #24 on: 2018/11/12, 13:59:17 »
I have a brother mfcj880dw and it just works (after the purge & reinstall) didn't have to do a thing ;)
debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...

Offline hendrikL

  • User
  • Posts: 303
Re: Caution -- sane-related removals (again)
« Reply #25 on: 2018/11/12, 14:47:47 »
what about an simple
apt --install libsane and after it apt full-upgrade? Maybe first try with the -s option to see if it is safe to do.

Offline tommy2

  • User
  • Posts: 91
Re: Caution -- sane-related removals (again)
« Reply #26 on: 2018/11/12, 16:05:19 »
That's what worked for my Samsung, after removing libsane1 and installing libsane it seems to be working fine.  :)

Offline DeepDayze

  • User
  • Posts: 394
Re: Caution -- sane-related removals (again)
« Reply #27 on: 2018/11/12, 16:07:29 »
OK now it is working for me too, after noting the packages that were removed and then reinstalled them after purging libsane1.

Offline hendrikL

  • User
  • Posts: 303
Re: Caution -- sane-related removals (again)
« Reply #28 on: 2018/11/12, 16:14:42 »
with the installation of libsane,  libsane1 should be removed automatically,  no need to remove it before installing libsane, for my system it worked and i didn't had to reinstall needed software, because it wasn't removed by installing libsane.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
Re: Caution -- sane-related removals (again)
« Reply #29 on: 2018/11/12, 16:17:02 »
Quote from: hendrikL
with the installation of libsane,  libsane1 should be removed automatically,  no need to remove it before installing libsane, for my system it worked and i didn't had to reinstall needed software, because it wasn't removed by installing libsane.

This was not the case with 3 machines here
debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...